{% extends 'base.html.twig' %}

{% block title %}Hello RobotController!{% endblock %}

{% block body %}
    
{% for label, messages in app.flashes %}
    {% for message in messages %}
        <div class="alert alert-{{ label }} col-md-6 offset-md-3 col-xs-12" role="alert">
            {{ message }}
        </div>
    {% endfor %}
{% endfor %}

<div class="col-md-8 offset-md-2 text-right">
    <a href="{{ path('add_robot') }}" class="btn btn-warning mb-1">
        Új robot felvétele
    </a>
</div>
<div class="col-md-8 offset-md-2 col-xs-12">
    <table class="table">
        <thead>
            <tr>
                <th>Harc</th>
                <th>Név</th>
                <th>Típus</th>
                <th>Erősség</th>
                <th></th>
            </tr>
        </thead>
        <tbody>
            {% for robot in robots %}
                <tr {% if robot.status %} class="text-primary" {% else %} class="text-secondary" {% endif %}>
                    <td> <input type="checkbox" name="id" value="{{ robot.id }}"></input></td>
                    <td>{{ robot.name }}</td>
                    <td>{{ robot.type }}</td>
                    <td>{{ robot.strength }}</td>
                    <td>
                        <a href="{{ path('edit_robot', {id:robot.id}) }}" class="btn btn-primary float-end m-1">
                            Szerkesztés
                        </a>
                        <a href="{{ path('update_status', {id:robot.id}) }}" {% if robot.status %} class="btn btn-danger float-end m-1" {% else %} class="btn btn-success float-end m-1" {% endif %}>
                            Státusz
                        </a>
                    </td>
                </tr>
            {% endfor %}
        </tbody>
      </table>
</div>
<div class="col-md-8 offset-md-2 text-left">
    <a id="battle" class="btn btn-warning mb-1">
        Harcba küldés
    </a>
</div>
<div class="col-md-8 offset-md-2 text-center font-weight-bold">
    <div id="winner_data"></div>
</div>
<script type="text/javascript">
    $(document).ready(function () {
        $("#battle").click(function(){
            var robot_ids = '';
            $("input:checkbox[name=id]:checked").each(function() {
                robot_ids += ($(this).val()+',');
            });
            robot_ids = robot_ids.replace(/,\s*$/, "");
            if(robot_ids.length >= 3){
                $.ajax({
                    url: "{{ path('robot_battle') }}",
                    type: "get",
                    data: { 
                      robot_ids: robot_ids
                    },
                    dataType: "json",
                    success: function(response) {
                        $("#winner_data").html('Győztes robot: <br>'+
                            'név: ' + response.name + '<br>' +
                            'típus: ' + response.type + '<br>' +
                            'erősség: ' + response.strength);
                    },
                    error: function(xhr) {
                        $("#winner_data").html('Hiba történt');
                        //todo
                    }
                });
            }
        });
    });
</script>

{% endblock %}
